name: flutter_repositories
description: A new Flutter project.

publish_to: 'none'

version: 1.0.0+1

environment:
  sdk: '>=2.19.6 <3.0.0'

dependencies:
  flutter:
    sdk: flutter

  cupertino_icons: ^1.0.2
  flutter_screenutil: ^5.6.0
  flutter_riverpod: ^2.3.6
  get_it: ^7.6.0
  dio: ^5.2.1+1
  go_router: ^8.0.5
  cached_network_image: ^3.2.3
  shimmer: ^3.0.0
  readmore: ^2.2.0
  intl: ^0.18.1
  path_provider: ^2.0.15
  dartz: 0.10.1

dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^2.0.0

flutter:
  uses-material-design: true

  assets:
    - assets/images/

  fonts:
    - family: Poppins
      fonts:
        - asset: assets/fonts/poppins/Poppins-Regular.ttf
          style: normal

    - family: Roboto
      fonts:
        - asset: assets/fonts/roboto/Roboto-Regular.ttf
          style: normal
